*{
    margin:0;
    padding: 0;
    font-family:'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
    box-sizing: border-box;
}
html{
    scroll-behavior: smooth;
}





/*------------animations--------------*/
@keyframes appear {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}

.scroll-animation {
    opacity: 0;
    transition: opacity 1s;
}

.scroll-appear {
    opacity: 1;
}
/*------------fin animations--------------*/





body{
    background: #141414;
    color:#fff;
}
#header{   
    animation: appear 2s; 
    width: 100%;
    height: 100vh;
   
   
   
}
.container{
    padding: 10px 10%;
}

nav{
    display: flex;
    align-items: center;
    justify-content: flex-end;
    flex-wrap: wrap;
}
/*
.logo{
    width: 140px;
}
*/
nav ul li{
    display: inline-block;
    list-style: none;
    margin: 10px 20px;
}

nav ul li a{
    color: #fff;
    text-decoration: none;
    font-size: 18px;
    position: relative;
}

nav ul li a::after{
    content: '';
    width: 0;
    height: 3px;
    background: #2c9446;
    position: absolute;
    left: 0;
    bottom: -6px;
    transition: 0.5s;
}

nav ul li a:hover::after{
    width: 100%;
}

/*TEXTE PRESENTATION*/

.header-text{
    margin-top: 20%;
    font-size: 30px;
    text-align: center;
 
}

.header-text h1{
    font-size: 60px;
    margin-top: 20px;
    margin-bottom: 12px;
   

}
.header-text h1 span{
    color: #2c9446;
}

/*---------------about----------------*/

#about{
    padding: 80px 0;
    color: #ababab
}
.row{
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}

.containerAPropos{

}





.about-col-1{
    flex-basis: 35%;
}
.about-col-1 img{
    width: 100%;
    border-radius: 15px;
}
.about-col-2{
    flex-basis: 60%;
}

.sub-title{
    font-size: 60px;
    font-weight: 600;
    color:#fff;
    margin-bottom: 50px;
    
}

.sub-title-APropos{
    font-size: 40px;
    font-weight: 600;
    color:#fff;
    margin-bottom: 30px;
}

.tab-titles{
    display: flex;
    margin: 40px 0 40px;
}
.tab-links{
    margin-right: 50px;
    font-size: 18px;
    font-weight: 500;
    cursor:pointer;
    position:relative;
}
.tab-links::after{
    content: '';
    width: 0;
    height: 3px;
    background: #2c9446;
    position: absolute;
    left: 0;
    bottom: -8px;
    transition: 0.5s;
}

.tab-links.active-link::after{
    width: 50%;
}

.tab-contents ul li{
    list-style: none;
    margin: 10px 0;

}
.tab-contents ul li span{
    color:#95dda7;
    font-size: 14px;
}
.tab-contents {
    display: none;
}
.tab-contents.active-tab{
    display:block;
}

/*--------------mes projets---------------*/
#portfolio{
    padding: 50px 0; 
}

.work-list{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    grid-gap: 40px;
    margin-top: 50px;
}

.work{
    border-radius: 10px;
    position: relative;
    overflow: hidden;
}
.work img{
    width: 100%;
    border-radius: 10px;
    display:block;
    transition: transform 0.5s;

}

.layer{
    width: 100%;
    height: 0;
    background: linear-gradient(rgba(0,0,0,0.6), #2c9446);
    border-radius: 10px;
    position: absolute;
    left: 0;
    bottom: 0;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    padding: 0 40px;
    text-align: center;
    font-size: 14px;
    transition: height 0.5s;

}
.layer h3{
    font-weight: 500;
    margin-bottom: 20px;
}
.layer a{
    margin-top: 20px;
    color:#2c9446;
    text-decoration: none;
    font-size: 18px;
    line-height: 60px;
    background: #fff;
    width: 60px;
    height: 60px;
    border-radius:50% ;
    text-align: center;
}
.work:hover img{
    transform: scale(1.07);

}
.work:hover .layer{
    height: 100%;
}
.btn{
    display:block;
    margin:50px auto;
    width:fit-content;
    border:1px solid #2c9446;
    padding: 14px 50px;
    border-radius: 6px;
    text-decoration: none;
    color: #fff;
    transition: background 0.5s;
}
.btn:hover{
    background: #2c9446;
}
/*---------------------Veille technologique-------------------------------*/
/*
.container h1{  
    font-size: 40px;
}
.veille-list{
    
    font-size: 17px;
    margin-bottom: 120px;
}*/


.table-container {
    margin-top: 20px;
    overflow-x: auto;
    padding: 20px;
    background-color: #1e1e1e;
    border-radius: 8px;
    box-shadow: 0px 0px 10px rgba(255, 255, 255, 0.1);
}
table {
    width: 100%;
    border-collapse: collapse;
}
th, td {
    border: 1px solid #333;
    padding: 12px;
    text-align: left;
}
th {
    background-color: #292929;
    color: #ffffff;
}
td {
    background-color: #1e1e1e;
}
ul {
    padding-left: 20px;
}
li {
    color: #bbbbbb;
}

/*---------------------Styles pour la section Informations */
#Informations {
    padding: 80px 0;
    color: #fff;
}

.info-col-2 {
    flex-basis: 100%;
}

/*---------------------onglets dans la section Informations */
.info-col-2 .tab-titles {
    display: flex;
    margin: 40px 0 40px;
}

.info-col-2 .tab-links {
    margin-right: 50px;
    font-size: 20px;
    font-weight: 500;
    cursor: pointer;
    position: relative;
}

.info-col-2 .tab-links::after {
    content: '';
    width: 0;
    height: 3px;
    background: #2c9446;
    position: absolute;
    left: 0;
    bottom: -8px;
    transition: 0.5s;
}

.info-col-2 .tab-links.active-link::after {
    width: 50%;
}

/* Styles pour le contenu des onglets dans la section Informations */
.info-col-2 .tab-contents ul li {
    list-style: none;
    margin: 10px 0;
}

.info-col-2 .tab-contents ul li span {
    color: #95dda7;
    font-size: 14px;
}

.info-col-2 .tab-contents {
    display: none;
}

.info-col-2 .tab-contents.active-tab {
    display: block;
}
.info-col-2 .tab-contents.active-tab span {
    color:#95dda7;
}


/*---------------------contact-------------------------------*/

.sub-title-MeContacter {
    margin-top: 80px;
    font-size: 40px;
}


.contact-left{
    flex-basis: 98%;
}
.contact-right{
    flex-basis: 1%;
}
.contact-left p{
    margin-top: 30px;
}
.contact-left p i{
    color: #2c9446;
    margin-right: 15px;
    font-size:25px;
}
.social-icons{
    margin-top: 30px;
}
.social-icons a{
    text-decoration: none;
    font-size: 50px;
    margin-right: 15px;
    color: #ababab;
    display: inline-block;
    transition: transform 0.5s;
}
.social-icons a:hover{
    color: #2c9446;
    transform: translateY(-5px);
}
.btn.btn2{
    display:inline-block;
    background: #2c9446;
}
.contact-right form{
    width: 100%;
}
form input, form textarea{
    width: 100%;
    border: 0;
    outline: none;
    background: #262626;
    padding: 15px;
    margin: 15px 0;
    color:#fff;
    font-size: 18px;
    border-radius: 6px;
}
form .btn2{
    padding: 14px 60px;
    font-size: 18px;
    margin-top: 20px;
    cursor:pointer;
}

.copyright{
    width: 100%;
    text-align: center;
    padding: 25px 0;
    background: #262626;
    font-weight: 300;
    margin-top: 20px;
}

@media (max-width: 1300px) {
    #sidemenu {
        display: flex;
        align-items: center;    /* Centre horizontalement */
        justify-content: center; /* Optionnel pour centrer verticalement */
        list-style: none;       /* Supprime les puces de liste */
        padding: 0;             /* Supprime les marges internes */
        margin: 0 auto;         /* Centre le menu horizontalement */
    }

    #sidemenu li {
        margin: 0px 20px; /* Ajoute un espace entre les éléments */
    }
}

/*CUSTOM SCROLLBAR*/
::-webkit-scrollbar{
    width:12px;
}
::-webkit-scrollbar-track{
    background:#black;
}
::-webkit-scrollbar-thumb{
    background:linear-gradient(#2c9446, #174f25);
    border-radius:5px;
}

/*-------------------------------------CSS pour small screen-----------------------------------------------*/
/*

nav .fa-solid{
    display: none;
}
    
*/

@media only screen and (max-width:600px) {
    .header-text{
        margin-top:50%;
        font-size: 16px;
    }

    .header-text h1{
        font-size: 30px;
    }
    #sidemenu{
        display: none;
    }

    .sub-title{
        font-size: 40px;
    }
    .about-col-1, .about-col-2{
        flex-basis: 100%;
    }
    .about-col-1{
        margin-bottom: 30px;
    }
    .about-col-2{
        font-size: 14px;
    }
    .tab-links{
        font-size: 15px;
        margin-right: 20px;
    }
    .contact-left, .contact-right{
        flex-basis: 100%;

    }
    .copyright{
        font-size: 14px;
    }
    
}



.popup {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 80%;
    height: 80%;
    
    background: rgb(37, 37, 37);
    z-index: 1000;
    overflow-y: auto;
    border-radius: 20px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
    display: none;
    padding: 30px;
}

.popup-content {
    padding: 20px;
}

.popup-bg {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.7);
    backdrop-filter: blur(5px); /* Ajoute un flou au fond */

    z-index: 999;
    display: none;
}


.popup-btn {
    background-color: transparent; /* Couleur de fond transparente */
    border: 2px solid rgb(255, 255, 255); /* Bordure de 2 pixels solide verte */
    border-radius: 5px; /* Coins arrondis de 5 pixels */
    color: rgb(255, 255, 255); /* Couleur du texte verte */
    padding: 10px 20px; /* Espacement intérieur du bouton */
    margin-top: 20px;
    font-size: 16px; /* Taille de police */
    cursor: pointer; /* Curseur de type pointeur au survol */
    transition: background-color 0.3s, color 0.3s; /* Transition pour les changements de couleur */
}

.popup-btn:hover {
    background-color: green; /* Couleur de fond verte au survol */
    color: white; /* Couleur du texte blanche au survol */
}

.popup img {
    max-width: 100%; /* La largeur maximale de l'image sera égale à 100% de la largeur de la popup */
    max-height: 100%;
    height: auto; /* La hauteur de l'image s'ajustera automatiquement pour maintenir les proportions */
    display: block; /* Assurez-vous que l'image est affichée en tant que bloc */
    margin: 0 auto; /* Centre l'image horizontalement dans la popup */
}



.popup-section {
    display:flex;
    flex-direction: column;
    align-items: center; /* Centrer verticalement les éléments enfants */

}
.popup-section img{
    border-radius: 50px; /* Ajoute une bordure arrondie avec un rayon de 10 pixels */

}

.popup-section p {
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif, sans-serif; /* Police de caractères */
    font-size: 30px; /* Taille de la police */
    line-height: 1.5; /* Hauteur de ligne */
    color: #e4e4e4; /* Couleur du texte */
    margin-top: 70px;
    margin-bottom: 20px; /* Marge en bas */
    max-width: 70%;
    text-align: center;

}


#game-container {
    
    height: 650px;
    width: 100%;
    
    
}
#play-button{
    background-color: transparent; /* Couleur de fond transparente */
    border: 2px solid rgb(255, 255, 255); /* Bordure de 2 pixels solide verte */
    border-radius: 5px; /* Coins arrondis de 5 pixels */
    color: rgb(255, 255, 255); /* Couleur du texte verte */
    padding: 10px 20px; /* Espacement intérieur du bouton */
    margin-top: 20px;
    font-size: 16px; /* Taille de police */
    cursor: pointer; /* Curseur de type pointeur au survol */
    transition: background-color 0.3s, color 0.3s; /* Transition pour les changements de couleur */
    background-color: rgba(150, 115, 115, 0.478); /* Couleur de fond verte au survol */

}
#play-button:hover{
    background-color: rgb(150, 115, 115); /* Couleur de fond verte au survol */
    color: white; /* Couleur du texte blanche au survol */
}

#close-game-button {
    margin: 0 auto; /* Centrer horizontalement */
    display: block; /* Afficher en tant que bloc */


    background-color: transparent; /* Couleur de fond transparente */
    border: 2px solid rgb(255, 255, 255); /* Bordure de 2 pixels solide verte */
    border-radius: 5px; /* Coins arrondis de 5 pixels */
    color: rgb(255, 255, 255); /* Couleur du texte verte */
    padding: 10px 20px; /* Espacement intérieur du bouton */
    margin-top: 20px;
    font-size: 16px; /* Taille de police */
    cursor: pointer; /* Curseur de type pointeur au survol */
    transition: background-color 0.3s, color 0.3s; /* Transition pour les changements de couleur */

}